SCIUART Peripheral
Bootloader » Peripheral Definitions

SCIUART peripheral interface. More...

Collaboration diagram for SCIUART Peripheral:

## Functions

static bool | scuart_poll_for_activity (const peripheral_descriptor_t *self)
static status_t | scuart_full_init (const peripheral_descriptor_t *self, serial_byte_receive_func_t function)
static void | scuart_full_shutdown (const peripheral_descriptor_t *self)
static status_t | scuart_write (const peripheral_descriptor_t *self, const uint8_t *buffer, uint32_t byteCount)
static UART_Type * | get_uart_baseAddr (uint32_t instance)
void | UART0_RX_TX_IRQHandler (void)
void | UART1_RX_TX_IRQHandler (void)
void | UART2_RX_TX_IRQHandler (void)
void | UART3_RX_TX_IRQHandler (void)
void | UART4_RX_TX_IRQHandler (void)
void | UART5_RX_TX_IRQHandler (void)

## Variables

const peripheral_control_interface_t | g_scuartControlInterface
| Control interface for the SCIUART peripheral driver. More...
const peripheral_byte_inteface_t | g_scuartByteInterface = {.init = NULL, .write = scuart_write }
| Byte I/O interface for the SCIUART peripheral driver.
static serial_byte_receive_func_t | s_scuart_byte_receive_callback
static bool | g_uartInitDone = false

## Usage Information

SCIUART peripheral interface.

## Function Documentation

void scuart_full_shutdown | ( | const peripheral_descriptor_t * | self | ) |

static

Note: if not deinit autobaud(IRQ method), user app may encounters hardfault if it doesn't provide related pin interrupt service routine.

## Variable Documentation

const peripheral_control_interface_t g_scuartControlInterface

Initial value:
= {
.pollForActivity = scuart_poll_for_activity, .init = scuart_full_init, .shutdown = scuart_full_shutdown, .pump = 0
}
scuart_full_shutdown
static void scuart_full_shutdown(const peripheral_descriptor_t *self)
Definition: scuart_peripheral_interface.c:150

Control interface for the SCIUART peripheral driver.